export declare class AkordAssetsGallery {
  assetsLocation: string;
  files: Array<{
    src: string;
    type: 'image' | 'video/mp4' | 'pdf' | 'doc' | 'audio';
    name: string;
  }>;
  mode: 'single' | 'group';
  darkMode: boolean;
  printEnabled: boolean;
  downloadEnabled: boolean;
  width: number;
  height: number | 'auto';
  numberOfFiles: number;
  activeFile: HTMLAkordFileViewerElement;
  activeFileIndex: number;
  swiper: HTMLAkordSwiperElement;
  fileViewers: Array<HTMLAkordFileViewerElement>;
  componentWillLoad(): void;
  slideChangedHandler(event: CustomEvent<number>): void;
  print(): Promise<void>;
  download(): Promise<void>;
  getHeight(): number;
  render(): any;
}
